/*
 * Copyright (C) 2006-2008 Tobias Quathamer <t.quathamer@gmx.net>
 *
 * This file is part of the Drupal Weather module.
 *
 * Weather is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Weather; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */



/* If JavaScript is enabled, use the AJAX version of the country
 * and place lookup. Otherwise, the ICAO textfield will be shown
 * without the country and place selection boxes.
 */
if (Drupal.jsEnabled) {
  $(function () {
    $('div#weather-js-show-selectbox').show();

    // Update the place selection box after the country has changed
    $('#edit-country').change(function() {
      var new_country = this.options[this.selectedIndex].value;
      var current_path = location.href;

      // Substract everything up to the last component 'weather'
      // e.g. 'admin/settings/weather/3/' -> 'admin/settings/weather'
      current_path = current_path.substr(0, current_path.indexOf('weather'));
      current_path = current_path + 'weather/places/' + escape(new_country);

      // Request the place list
      $.get(current_path, function(xml) {
        // Delete all options from the place selection box
        $('#edit-place').empty();

        // Populate the place selection box with new places
        $(xml).find('place').each(function() {
          var icao = $(this).attr('icao');
          var real_name = $(this).text();
          $('#edit-place').append('<option value="'+icao+'">'+real_name+'</option>');
        });

        // Update the ICAO and realname textfields after the place has changed
        $(xml).find('place').lt(1).each(function() {
          $('#edit-icao').val($(this).attr('icao'));
          $('#edit-real-name').val($(this).text());
        });
      });
    });

    // Update the ICAO and realname textfields after the place has changed
    $('#edit-place').change(function() {
      $('#edit-icao').val(this.options[this.selectedIndex].value);
      $('#edit-real-name').val(this.options[this.selectedIndex].text);
    });
  });
}
